Create a customer artifact upload
POST /v1/artifacts · SDK createArtifactUpload · CLI deployments artifact upload, deployments chat
Requires artifacts:write.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$application/json- body
byteSize*integer0 < value <= 104857600contentType*string^\S[\s\S]*\S$|^\S$|^$1 <= length <= 255fileName*string^\S[\s\S]*\S$|^\S$|^$1 <= length <= 255metadata?name*string^\S[\s\S]*\S$|^\S$|^$1 <= length <= 255retentionExpiresAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timerunId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$sha256*string^[a-f0-9]{64}$threadId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$type*string^\S[\s\S]*\S$|^\S$|^$1 <= length <= 100visibility?string"organization""private"CreateArtifactUploadResponse
application/json- response
artifact*upload*curl -X POST "https://example.com/v1/artifacts" \ -H "Content-Type: application/json" \ -d '{ "byteSize": 1, "contentType": "string", "fileName": "string", "name": "string", "sha256": "string", "type": "string" }'{ "artifact": { "agentDeploymentId": "string", "artifactId": "string", "byteSize": 0, "contentType": "string", "createdAt": "2019-08-24T14:15:22Z", "fileName": "string", "input": { "kind": "image", "mediaType": "image/jpeg" }, "metadata": { "property1": null, "property2": null }, "name": "string", "object": "artifact", "retentionExpiresAt": "2019-08-24T14:15:22Z", "runId": "string", "status": "available", "threadId": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "visibility": "organization" }, "upload": { "expiresAt": "2019-08-24T14:15:22Z", "headers": { "property1": "string", "property2": "string" }, "method": "PUT", "url": "string" }}